import request from '@/utils/request'

// 查询文件资料列表
export function listInformation(query) {
  return request({
    url: '/invest/information/list',
    method: 'get',
    params: query
  })
}

// 查询文件资料详细
export function getInformation(id) {
  return request({
    url: '/invest/information/' + id,
    method: 'get'
  })
}

// 新增文件资料
export function addInformation(data) {
  return request({
    url: '/invest/information',
    method: 'post',
    data: data
  })
}

// 修改文件资料
export function updateInformation(data) {
  return request({
    url: '/invest/information',
    method: 'put',
    data: data
  })
}

// 删除文件资料
export function delInformation(id) {
  return request({
    url: '/invest/information/' + id,
    method: 'delete'
  })
}
